| @@ -1,1 +0,0 @@ | ||
| 1 | 9c90e245b1084395be5cd3190eebbb56a05646e2 branch 'develop' of https://github.com/mermaid-js/mermaid | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | ref: refs/heads/develop | |
| 2 | 0 | |
| @@ -1,15 +0,0 @@ | ||
| 1 | [core] | |
| 2 | repositoryformatversion = 0 | |
| 3 | filemode = true | |
| 4 | bare = false | |
| 5 | logallrefupdates = true | |
| 6 | ignorecase = true | |
| 7 | precomposeunicode = true | |
| 8 | hooksPath = .husky/_ | |
| 9 | [remote "origin"] | |
| 10 | url = https://github.com/mermaid-js/mermaid.git | |
| 11 | fetch = +refs/heads/develop:refs/remotes/origin/develop | |
| 12 | [branch "develop"] | |
| 13 | remote = origin | |
| 14 | merge = refs/heads/develop | |
| 15 | vscode-merge-base = origin/develop | |
| 16 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | Unnamed repository; edit this file 'description' to name the repository. | |
| 2 | 0 | |
| @@ -1,15 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to check the commit log message taken by | |
| 4 | # applypatch from an e-mail message. | |
| 5 | # | |
| 6 | # The hook should exit with non-zero status after issuing an | |
| 7 | # appropriate message if it wants to stop the commit. The hook is | |
| 8 | # allowed to edit the commit message file. | |
| 9 | # | |
| 10 | # To enable this hook, rename this file to "applypatch-msg". | |
| 11 | ||
| 12 | . git-sh-setup | |
| 13 | commitmsg="$(git rev-parse --git-path hooks/commit-msg)" | |
| 14 | test -x "$commitmsg" && exec "$commitmsg" ${1+"$@"} | |
| 15 | : | |
| 16 | 0 | |
| @@ -1,24 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to check the commit log message. | |
| 4 | # Called by "git commit" with one argument, the name of the file | |
| 5 | # that has the commit message. The hook should exit with non-zero | |
| 6 | # status after issuing an appropriate message if it wants to stop the | |
| 7 | # commit. The hook is allowed to edit the commit message file. | |
| 8 | # | |
| 9 | # To enable this hook, rename this file to "commit-msg". | |
| 10 | ||
| 11 | # Uncomment the below to add a Signed-off-by line to the message. | |
| 12 | # Doing this in a hook is a bad idea in general, but the prepare-commit-msg | |
| 13 | # hook is more suited to it. | |
| 14 | # | |
| 15 | # SOB=$(git var GIT_AUTHOR_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') | |
| 16 | # grep -qs "^$SOB" "$1" || echo "$SOB" >> "$1" | |
| 17 | ||
| 18 | # This example catches duplicate Signed-off-by lines. | |
| 19 | ||
| 20 | test "" = "$(grep '^Signed-off-by: ' "$1" | | |
| 21 | sort | uniq -c | sed -e '/^[ ]*1[ ]/d')" || { | |
| 22 | echo >&2 Duplicate Signed-off-by lines. | |
| 23 | exit 1 | |
| 24 | } | |
| 25 | 0 | |
| @@ -1,174 +0,0 @@ | ||
| 1 | #!/usr/bin/perl | |
| 2 | ||
| 3 | use strict; | |
| 4 | use warnings; | |
| 5 | use IPC::Open2; | |
| 6 | ||
| 7 | # An example hook script to integrate Watchman | |
| 8 | # (https://facebook.github.io/watchman/) with git to speed up detecting | |
| 9 | # new and modified files. | |
| 10 | # | |
| 11 | # The hook is passed a version (currently 2) and last update token | |
| 12 | # formatted as a string and outputs to stdout a new update token and | |
| 13 | # all files that have been modified since the update token. Paths must | |
| 14 | # be relative to the root of the working tree and separated by a single NUL. | |
| 15 | # | |
| 16 | # To enable this hook, rename this file to "query-watchman" and set | |
| 17 | # 'git config core.fsmonitor .git/hooks/query-watchman' | |
| 18 | # | |
| 19 | my ($version, $last_update_token) = @ARGV; | |
| 20 | ||
| 21 | # Uncomment for debugging | |
| 22 | # print STDERR "$0 $version $last_update_token\n"; | |
| 23 | ||
| 24 | # Check the hook interface version | |
| 25 | if ($version ne 2) { | |
| 26 | die "Unsupported query-fsmonitor hook version '$version'.\n" . | |
| 27 | "Falling back to scanning...\n"; | |
| 28 | } | |
| 29 | ||
| 30 | my $git_work_tree = get_working_dir(); | |
| 31 | ||
| 32 | my $retry = 1; | |
| 33 | ||
| 34 | my $json_pkg; | |
| 35 | eval { | |
| 36 | require JSON::XS; | |
| 37 | $json_pkg = "JSON::XS"; | |
| 38 | 1; | |
| 39 | } or do { | |
| 40 | require JSON::PP; | |
| 41 | $json_pkg = "JSON::PP"; | |
| 42 | }; | |
| 43 | ||
| 44 | launch_watchman(); | |
| 45 | ||
| 46 | sub launch_watchman { | |
| 47 | my $o = watchman_query(); | |
| 48 | if (is_work_tree_watched($o)) { | |
| 49 | output_result($o->{clock}, @{$o->{files}}); | |
| 50 | } | |
| 51 | } | |
| 52 | ||
| 53 | sub output_result { | |
| 54 | my ($clockid, @files) = @_; | |
| 55 | ||
| 56 | # Uncomment for debugging watchman output | |
| 57 | # open (my $fh, ">", ".git/watchman-output.out"); | |
| 58 | # binmode $fh, ":utf8"; | |
| 59 | # print $fh "$clockid\n@files\n"; | |
| 60 | # close $fh; | |
| 61 | ||
| 62 | binmode STDOUT, ":utf8"; | |
| 63 | print $clockid; | |
| 64 | print "\0"; | |
| 65 | local $, = "\0"; | |
| 66 | print @files; | |
| 67 | } | |
| 68 | ||
| 69 | sub watchman_clock { | |
| 70 | my $response = qx/watchman clock "$git_work_tree"/; | |
| 71 | die "Failed to get clock id on '$git_work_tree'.\n" . | |
| 72 | "Falling back to scanning...\n" if $? != 0; | |
| 73 | ||
| 74 | return $json_pkg->new->utf8->decode($response); | |
| 75 | } | |
| 76 | ||
| 77 | sub watchman_query { | |
| 78 | my $pid = open2(\*CHLD_OUT, \*CHLD_IN, 'watchman -j --no-pretty') | |
| 79 | or die "open2() failed: $!\n" . | |
| 80 | "Falling back to scanning...\n"; | |
| 81 | ||
| 82 | # In the query expression below we're asking for names of files that | |
| 83 | # changed since $last_update_token but not from the .git folder. | |
| 84 | # | |
| 85 | # To accomplish this, we're using the "since" generator to use the | |
| 86 | # recency index to select candidate nodes and "fields" to limit the | |
| 87 | # output to file names only. Then we're using the "expression" term to | |
| 88 | # further constrain the results. | |
| 89 | my $last_update_line = ""; | |
| 90 | if (substr($last_update_token, 0, 1) eq "c") { | |
| 91 | $last_update_token = "\"$last_update_token\""; | |
| 92 | $last_update_line = qq[\n"since": $last_update_token,]; | |
| 93 | } | |
| 94 | my $query = <<" END"; | |
| 95 | ["query", "$git_work_tree", {$last_update_line | |
| 96 | "fields": ["name"], | |
| 97 | "expression": ["not", ["dirname", ".git"]] | |
| 98 | }] | |
| 99 | END | |
| 100 | ||
| 101 | # Uncomment for debugging the watchman query | |
| 102 | # open (my $fh, ">", ".git/watchman-query.json"); | |
| 103 | # print $fh $query; | |
| 104 | # close $fh; | |
| 105 | ||
| 106 | print CHLD_IN $query; | |
| 107 | close CHLD_IN; | |
| 108 | my $response = do {local $/; <CHLD_OUT>}; | |
| 109 | ||
| 110 | # Uncomment for debugging the watch response | |
| 111 | # open ($fh, ">", ".git/watchman-response.json"); | |
| 112 | # print $fh $response; | |
| 113 | # close $fh; | |
| 114 | ||
| 115 | die "Watchman: command returned no output.\n" . | |
| 116 | "Falling back to scanning...\n" if $response eq ""; | |
| 117 | die "Watchman: command returned invalid output: $response\n" . | |
| 118 | "Falling back to scanning...\n" unless $response =~ /^\{/; | |
| 119 | ||
| 120 | return $json_pkg->new->utf8->decode($response); | |
| 121 | } | |
| 122 | ||
| 123 | sub is_work_tree_watched { | |
| 124 | my ($output) = @_; | |
| 125 | my $error = $output->{error}; | |
| 126 | if ($retry > 0 and $error and $error =~ m/unable to resolve root .* directory (.*) is not watched/) { | |
| 127 | $retry--; | |
| 128 | my $response = qx/watchman watch "$git_work_tree"/; | |
| 129 | die "Failed to make watchman watch '$git_work_tree'.\n" . | |
| 130 | "Falling back to scanning...\n" if $? != 0; | |
| 131 | $output = $json_pkg->new->utf8->decode($response); | |
| 132 | $error = $output->{error}; | |
| 133 | die "Watchman: $error.\n" . | |
| 134 | "Falling back to scanning...\n" if $error; | |
| 135 | ||
| 136 | # Uncomment for debugging watchman output | |
| 137 | # open (my $fh, ">", ".git/watchman-output.out"); | |
| 138 | # close $fh; | |
| 139 | ||
| 140 | # Watchman will always return all files on the first query so | |
| 141 | # return the fast "everything is dirty" flag to git and do the | |
| 142 | # Watchman query just to get it over with now so we won't pay | |
| 143 | # the cost in git to look up each individual file. | |
| 144 | my $o = watchman_clock(); | |
| 145 | $error = $output->{error}; | |
| 146 | ||
| 147 | die "Watchman: $error.\n" . | |
| 148 | "Falling back to scanning...\n" if $error; | |
| 149 | ||
| 150 | output_result($o->{clock}, ("/")); | |
| 151 | $last_update_token = $o->{clock}; | |
| 152 | ||
| 153 | eval { launch_watchman() }; | |
| 154 | return 0; | |
| 155 | } | |
| 156 | ||
| 157 | die "Watchman: $error.\n" . | |
| 158 | "Falling back to scanning...\n" if $error; | |
| 159 | ||
| 160 | return 1; | |
| 161 | } | |
| 162 | ||
| 163 | sub get_working_dir { | |
| 164 | my $working_dir; | |
| 165 | if ($^O =~ 'msys' || $^O =~ 'cygwin') { | |
| 166 | $working_dir = Win32::GetCwd(); | |
| 167 | $working_dir =~ tr/\\/\//; | |
| 168 | } else { | |
| 169 | require Cwd; | |
| 170 | $working_dir = Cwd::cwd(); | |
| 171 | } | |
| 172 | ||
| 173 | return $working_dir; | |
| 174 | } | |
| 175 | 0 | |
| @@ -1,8 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to prepare a packed repository for use over | |
| 4 | # dumb transports. | |
| 5 | # | |
| 6 | # To enable this hook, rename this file to "post-update". | |
| 7 | ||
| 8 | exec git update-server-info | |
| 9 | 0 | |
| @@ -1,14 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to verify what is about to be committed | |
| 4 | # by applypatch from an e-mail message. | |
| 5 | # | |
| 6 | # The hook should exit with non-zero status after issuing an | |
| 7 | # appropriate message if it wants to stop the commit. | |
| 8 | # | |
| 9 | # To enable this hook, rename this file to "pre-applypatch". | |
| 10 | ||
| 11 | . git-sh-setup | |
| 12 | precommit="$(git rev-parse --git-path hooks/pre-commit)" | |
| 13 | test -x "$precommit" && exec "$precommit" ${1+"$@"} | |
| 14 | : | |
| 15 | 0 | |
| @@ -1,49 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to verify what is about to be committed. | |
| 4 | # Called by "git commit" with no arguments. The hook should | |
| 5 | # exit with non-zero status after issuing an appropriate message if | |
| 6 | # it wants to stop the commit. | |
| 7 | # | |
| 8 | # To enable this hook, rename this file to "pre-commit". | |
| 9 | ||
| 10 | if git rev-parse --verify HEAD >/dev/null 2>&1 | |
| 11 | then | |
| 12 | against=HEAD | |
| 13 | else | |
| 14 | # Initial commit: diff against an empty tree object | |
| 15 | against=$(git hash-object -t tree /dev/null) | |
| 16 | fi | |
| 17 | ||
| 18 | # If you want to allow non-ASCII filenames set this variable to true. | |
| 19 | allownonascii=$(git config --type=bool hooks.allownonascii) | |
| 20 | ||
| 21 | # Redirect output to stderr. | |
| 22 | exec 1>&2 | |
| 23 | ||
| 24 | # Cross platform projects tend to avoid non-ASCII filenames; prevent | |
| 25 | # them from being added to the repository. We exploit the fact that the | |
| 26 | # printable range starts at the space character and ends with tilde. | |
| 27 | if [ "$allownonascii" != "true" ] && | |
| 28 | # Note that the use of brackets around a tr range is ok here, (it's | |
| 29 | # even required, for portability to Solaris 10's /usr/bin/tr), since | |
| 30 | # the square bracket bytes happen to fall in the designated range. | |
| 31 | test $(git diff-index --cached --name-only --diff-filter=A -z $against | | |
| 32 | LC_ALL=C tr -d '[ -~]\0' | wc -c) != 0 | |
| 33 | then | |
| 34 | cat <<\EOF | |
| 35 | Error: Attempt to add a non-ASCII file name. | |
| 36 | ||
| 37 | This can cause problems if you want to work with people on other platforms. | |
| 38 | ||
| 39 | To be portable it is advisable to rename the file. | |
| 40 | ||
| 41 | If you know what you are doing you can disable this check using: | |
| 42 | ||
| 43 | git config hooks.allownonascii true | |
| 44 | EOF | |
| 45 | exit 1 | |
| 46 | fi | |
| 47 | ||
| 48 | # If there are whitespace errors, print the offending file names and fail. | |
| 49 | exec git diff-index --check --cached $against -- | |
| 50 | 0 | |
| @@ -1,13 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to verify what is about to be committed. | |
| 4 | # Called by "git merge" with no arguments. The hook should | |
| 5 | # exit with non-zero status after issuing an appropriate message to | |
| 6 | # stderr if it wants to stop the merge commit. | |
| 7 | # | |
| 8 | # To enable this hook, rename this file to "pre-merge-commit". | |
| 9 | ||
| 10 | . git-sh-setup | |
| 11 | test -x "$GIT_DIR/hooks/pre-commit" && | |
| 12 | exec "$GIT_DIR/hooks/pre-commit" | |
| 13 | : | |
| 14 | 0 | |
| @@ -1,53 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | ||
| 3 | # An example hook script to verify what is about to be pushed. Called by "git | |
| 4 | # push" after it has checked the remote status, but before anything has been | |
| 5 | # pushed. If this script exits with a non-zero status nothing will be pushed. | |
| 6 | # | |
| 7 | # This hook is called with the following parameters: | |
| 8 | # | |
| 9 | # $1 -- Name of the remote to which the push is being done | |
| 10 | # $2 -- URL to which the push is being done | |
| 11 | # | |
| 12 | # If pushing without using a named remote those arguments will be equal. | |
| 13 | # | |
| 14 | # Information about the commits which are being pushed is supplied as lines to | |
| 15 | # the standard input in the form: | |
| 16 | # | |
| 17 | # <local ref> <local oid> <remote ref> <remote oid> | |
| 18 | # | |
| 19 | # This sample shows how to prevent push of commits where the log message starts | |
| 20 | # with "WIP" (work in progress). | |
| 21 | ||
| 22 | remote="$1" | |
| 23 | url="$2" | |
| 24 | ||
| 25 | zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0') | |
| 26 | ||
| 27 | while read local_ref local_oid remote_ref remote_oid | |
| 28 | do | |
| 29 | if test "$local_oid" = "$zero" | |
| 30 | then | |
| 31 | # Handle delete | |
| 32 | : | |
| 33 | else | |
| 34 | if test "$remote_oid" = "$zero" | |
| 35 | then | |
| 36 | # New branch, examine all commits | |
| 37 | range="$local_oid" | |
| 38 | else | |
| 39 | # Update to existing branch, examine new commits | |
| 40 | range="$remote_oid..$local_oid" | |
| 41 | fi | |
| 42 | ||
| 43 | # Check for WIP commit | |
| 44 | commit=$(git rev-list -n 1 --grep '^WIP' "$range") | |
| 45 | if test -n "$commit" | |
| 46 | then | |
| 47 | echo >&2 "Found WIP commit in $local_ref, not pushing" | |
| 48 | exit 1 | |
| 49 | fi | |
| 50 | fi | |
| 51 | done | |
| 52 | ||
| 53 | exit 0 | |
| 54 | 0 | |
| @@ -1,169 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # Copyright (c) 2006, 2008 Junio C Hamano | |
| 4 | # | |
| 5 | # The "pre-rebase" hook is run just before "git rebase" starts doing | |
| 6 | # its job, and can prevent the command from running by exiting with | |
| 7 | # non-zero status. | |
| 8 | # | |
| 9 | # The hook is called with the following parameters: | |
| 10 | # | |
| 11 | # $1 -- the upstream the series was forked from. | |
| 12 | # $2 -- the branch being rebased (or empty when rebasing the current branch). | |
| 13 | # | |
| 14 | # This sample shows how to prevent topic branches that are already | |
| 15 | # merged to 'next' branch from getting rebased, because allowing it | |
| 16 | # would result in rebasing already published history. | |
| 17 | ||
| 18 | publish=next | |
| 19 | basebranch="$1" | |
| 20 | if test "$#" = 2 | |
| 21 | then | |
| 22 | topic="refs/heads/$2" | |
| 23 | else | |
| 24 | topic=`git symbolic-ref HEAD` || | |
| 25 | exit 0 ;# we do not interrupt rebasing detached HEAD | |
| 26 | fi | |
| 27 | ||
| 28 | case "$topic" in | |
| 29 | refs/heads/??/*) | |
| 30 | ;; | |
| 31 | *) | |
| 32 | exit 0 ;# we do not interrupt others. | |
| 33 | ;; | |
| 34 | esac | |
| 35 | ||
| 36 | # Now we are dealing with a topic branch being rebased | |
| 37 | # on top of master. Is it OK to rebase it? | |
| 38 | ||
| 39 | # Does the topic really exist? | |
| 40 | git show-ref -q "$topic" || { | |
| 41 | echo >&2 "No such branch $topic" | |
| 42 | exit 1 | |
| 43 | } | |
| 44 | ||
| 45 | # Is topic fully merged to master? | |
| 46 | not_in_master=`git rev-list --pretty=oneline ^master "$topic"` | |
| 47 | if test -z "$not_in_master" | |
| 48 | then | |
| 49 | echo >&2 "$topic is fully merged to master; better remove it." | |
| 50 | exit 1 ;# we could allow it, but there is no point. | |
| 51 | fi | |
| 52 | ||
| 53 | # Is topic ever merged to next? If so you should not be rebasing it. | |
| 54 | only_next_1=`git rev-list ^master "^$topic" ${publish} | sort` | |
| 55 | only_next_2=`git rev-list ^master ${publish} | sort` | |
| 56 | if test "$only_next_1" = "$only_next_2" | |
| 57 | then | |
| 58 | not_in_topic=`git rev-list "^$topic" master` | |
| 59 | if test -z "$not_in_topic" | |
| 60 | then | |
| 61 | echo >&2 "$topic is already up to date with master" | |
| 62 | exit 1 ;# we could allow it, but there is no point. | |
| 63 | else | |
| 64 | exit 0 | |
| 65 | fi | |
| 66 | else | |
| 67 | not_in_next=`git rev-list --pretty=oneline ^${publish} "$topic"` | |
| 68 | /usr/bin/perl -e ' | |
| 69 | my $topic = $ARGV[0]; | |
| 70 | my $msg = "* $topic has commits already merged to public branch:\n"; | |
| 71 | my (%not_in_next) = map { | |
| 72 | /^([0-9a-f]+) /; | |
| 73 | ($1 => 1); | |
| 74 | } split(/\n/, $ARGV[1]); | |
| 75 | for my $elem (map { | |
| 76 | /^([0-9a-f]+) (.*)$/; | |
| 77 | [$1 => $2]; | |
| 78 | } split(/\n/, $ARGV[2])) { | |
| 79 | if (!exists $not_in_next{$elem->[0]}) { | |
| 80 | if ($msg) { | |
| 81 | print STDERR $msg; | |
| 82 | undef $msg; | |
| 83 | } | |
| 84 | print STDERR " $elem->[1]\n"; | |
| 85 | } | |
| 86 | } | |
| 87 | ' "$topic" "$not_in_next" "$not_in_master" | |
| 88 | exit 1 | |
| 89 | fi | |
| 90 | ||
| 91 | <<\DOC_END | |
| 92 | ||
| 93 | This sample hook safeguards topic branches that have been | |
| 94 | published from being rewound. | |
| 95 | ||
| 96 | The workflow assumed here is: | |
| 97 | ||
| 98 | * Once a topic branch forks from "master", "master" is never | |
| 99 | merged into it again (either directly or indirectly). | |
| 100 | ||
| 101 | * Once a topic branch is fully cooked and merged into "master", | |
| 102 | it is deleted. If you need to build on top of it to correct | |
| 103 | earlier mistakes, a new topic branch is created by forking at | |
| 104 | the tip of the "master". This is not strictly necessary, but | |
| 105 | it makes it easier to keep your history simple. | |
| 106 | ||
| 107 | * Whenever you need to test or publish your changes to topic | |
| 108 | branches, merge them into "next" branch. | |
| 109 | ||
| 110 | The script, being an example, hardcodes the publish branch name | |
| 111 | to be "next", but it is trivial to make it configurable via | |
| 112 | $GIT_DIR/config mechanism. | |
| 113 | ||
| 114 | With this workflow, you would want to know: | |
| 115 | ||
| 116 | (1) ... if a topic branch has ever been merged to "next". Young | |
| 117 | topic branches can have stupid mistakes you would rather | |
| 118 | clean up before publishing, and things that have not been | |
| 119 | merged into other branches can be easily rebased without | |
| 120 | affecting other people. But once it is published, you would | |
| 121 | not want to rewind it. | |
| 122 | ||
| 123 | (2) ... if a topic branch has been fully merged to "master". | |
| 124 | Then you can delete it. More importantly, you should not | |
| 125 | build on top of it -- other people may already want to | |
| 126 | change things related to the topic as patches against your | |
| 127 | "master", so if you need further changes, it is better to | |
| 128 | fork the topic (perhaps with the same name) afresh from the | |
| 129 | tip of "master". | |
| 130 | ||
| 131 | Let's look at this example: | |
| 132 | ||
| 133 | o---o---o---o---o---o---o---o---o---o "next" | |
| 134 | / / / / | |
| 135 | / a---a---b A / / | |
| 136 | / / / / | |
| 137 | / / c---c---c---c B / | |
| 138 | / / / \ / | |
| 139 | / / / b---b C \ / | |
| 140 | / / / / \ / | |
| 141 | ---o---o---o---o---o---o---o---o---o---o---o "master" | |
| 142 | ||
| 143 | ||
| 144 | A, B and C are topic branches. | |
| 145 | ||
| 146 | * A has one fix since it was merged up to "next". | |
| 147 | ||
| 148 | * B has finished. It has been fully merged up to "master" and "next", | |
| 149 | and is ready to be deleted. | |
| 150 | ||
| 151 | * C has not merged to "next" at all. | |
| 152 | ||
| 153 | We would want to allow C to be rebased, refuse A, and encourage | |
| 154 | B to be deleted. | |
| 155 | ||
| 156 | To compute (1): | |
| 157 | ||
| 158 | git rev-list ^master ^topic next | |
| 159 | git rev-list ^master next | |
| 160 | ||
| 161 | if these match, topic has not merged in next at all. | |
| 162 | ||
| 163 | To compute (2): | |
| 164 | ||
| 165 | git rev-list master..topic | |
| 166 | ||
| 167 | if this is empty, it is fully merged to "master". | |
| 168 | ||
| 169 | DOC_END | |
| 170 | 0 | |
| @@ -1,24 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to make use of push options. | |
| 4 | # The example simply echoes all push options that start with 'echoback=' | |
| 5 | # and rejects all pushes when the "reject" push option is used. | |
| 6 | # | |
| 7 | # To enable this hook, rename this file to "pre-receive". | |
| 8 | ||
| 9 | if test -n "$GIT_PUSH_OPTION_COUNT" | |
| 10 | then | |
| 11 | i=0 | |
| 12 | while test "$i" -lt "$GIT_PUSH_OPTION_COUNT" | |
| 13 | do | |
| 14 | eval "value=\$GIT_PUSH_OPTION_$i" | |
| 15 | case "$value" in | |
| 16 | echoback=*) | |
| 17 | echo "echo from the pre-receive-hook: ${value#*=}" >&2 | |
| 18 | ;; | |
| 19 | reject) | |
| 20 | exit 1 | |
| 21 | esac | |
| 22 | i=$((i + 1)) | |
| 23 | done | |
| 24 | fi | |
| 25 | 0 | |
| @@ -1,42 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to prepare the commit log message. | |
| 4 | # Called by "git commit" with the name of the file that has the | |
| 5 | # commit message, followed by the description of the commit | |
| 6 | # message's source. The hook's purpose is to edit the commit | |
| 7 | # message file. If the hook fails with a non-zero status, | |
| 8 | # the commit is aborted. | |
| 9 | # | |
| 10 | # To enable this hook, rename this file to "prepare-commit-msg". | |
| 11 | ||
| 12 | # This hook includes three examples. The first one removes the | |
| 13 | # "# Please enter the commit message..." help message. | |
| 14 | # | |
| 15 | # The second includes the output of "git diff --name-status -r" | |
| 16 | # into the message, just before the "git status" output. It is | |
| 17 | # commented because it doesn't cope with --amend or with squashed | |
| 18 | # commits. | |
| 19 | # | |
| 20 | # The third example adds a Signed-off-by line to the message, that can | |
| 21 | # still be edited. This is rarely a good idea. | |
| 22 | ||
| 23 | COMMIT_MSG_FILE=$1 | |
| 24 | COMMIT_SOURCE=$2 | |
| 25 | SHA1=$3 | |
| 26 | ||
| 27 | /usr/bin/perl -i.bak -ne 'print unless(m/^. Please enter the commit message/..m/^#$/)' "$COMMIT_MSG_FILE" | |
| 28 | ||
| 29 | # case "$COMMIT_SOURCE,$SHA1" in | |
| 30 | # ,|template,) | |
| 31 | # /usr/bin/perl -i.bak -pe ' | |
| 32 | # print "\n" . `git diff --cached --name-status -r` | |
| 33 | # if /^#/ && $first++ == 0' "$COMMIT_MSG_FILE" ;; | |
| 34 | # *) ;; | |
| 35 | # esac | |
| 36 | ||
| 37 | # SOB=$(git var GIT_COMMITTER_IDENT | sed -n 's/^\(.*>\).*$/Signed-off-by: \1/p') | |
| 38 | # git interpret-trailers --in-place --trailer "$SOB" "$COMMIT_MSG_FILE" | |
| 39 | # if test -z "$COMMIT_SOURCE" | |
| 40 | # then | |
| 41 | # /usr/bin/perl -i.bak -pe 'print "\n" if !$first_line++' "$COMMIT_MSG_FILE" | |
| 42 | # fi | |
| 43 | 0 | |
| @@ -1,78 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | ||
| 3 | # An example hook script to update a checked-out tree on a git push. | |
| 4 | # | |
| 5 | # This hook is invoked by git-receive-pack(1) when it reacts to git | |
| 6 | # push and updates reference(s) in its repository, and when the push | |
| 7 | # tries to update the branch that is currently checked out and the | |
| 8 | # receive.denyCurrentBranch configuration variable is set to | |
| 9 | # updateInstead. | |
| 10 | # | |
| 11 | # By default, such a push is refused if the working tree and the index | |
| 12 | # of the remote repository has any difference from the currently | |
| 13 | # checked out commit; when both the working tree and the index match | |
| 14 | # the current commit, they are updated to match the newly pushed tip | |
| 15 | # of the branch. This hook is to be used to override the default | |
| 16 | # behaviour; however the code below reimplements the default behaviour | |
| 17 | # as a starting point for convenient modification. | |
| 18 | # | |
| 19 | # The hook receives the commit with which the tip of the current | |
| 20 | # branch is going to be updated: | |
| 21 | commit=$1 | |
| 22 | ||
| 23 | # It can exit with a non-zero status to refuse the push (when it does | |
| 24 | # so, it must not modify the index or the working tree). | |
| 25 | die () { | |
| 26 | echo >&2 "$*" | |
| 27 | exit 1 | |
| 28 | } | |
| 29 | ||
| 30 | # Or it can make any necessary changes to the working tree and to the | |
| 31 | # index to bring them to the desired state when the tip of the current | |
| 32 | # branch is updated to the new commit, and exit with a zero status. | |
| 33 | # | |
| 34 | # For example, the hook can simply run git read-tree -u -m HEAD "$1" | |
| 35 | # in order to emulate git fetch that is run in the reverse direction | |
| 36 | # with git push, as the two-tree form of git read-tree -u -m is | |
| 37 | # essentially the same as git switch or git checkout that switches | |
| 38 | # branches while keeping the local changes in the working tree that do | |
| 39 | # not interfere with the difference between the branches. | |
| 40 | ||
| 41 | # The below is a more-or-less exact translation to shell of the C code | |
| 42 | # for the default behaviour for git's push-to-checkout hook defined in | |
| 43 | # the push_to_deploy() function in builtin/receive-pack.c. | |
| 44 | # | |
| 45 | # Note that the hook will be executed from the repository directory, | |
| 46 | # not from the working tree, so if you want to perform operations on | |
| 47 | # the working tree, you will have to adapt your code accordingly, e.g. | |
| 48 | # by adding "cd .." or using relative paths. | |
| 49 | ||
| 50 | if ! git update-index -q --ignore-submodules --refresh | |
| 51 | then | |
| 52 | die "Up-to-date check failed" | |
| 53 | fi | |
| 54 | ||
| 55 | if ! git diff-files --quiet --ignore-submodules -- | |
| 56 | then | |
| 57 | die "Working directory has unstaged changes" | |
| 58 | fi | |
| 59 | ||
| 60 | # This is a rough translation of: | |
| 61 | # | |
| 62 | # head_has_history() ? "HEAD" : EMPTY_TREE_SHA1_HEX | |
| 63 | if git cat-file -e HEAD 2>/dev/null | |
| 64 | then | |
| 65 | head=HEAD | |
| 66 | else | |
| 67 | head=$(git hash-object -t tree --stdin </dev/null) | |
| 68 | fi | |
| 69 | ||
| 70 | if ! git diff-index --quiet --cached --ignore-submodules $head -- | |
| 71 | then | |
| 72 | die "Working directory has staged changes" | |
| 73 | fi | |
| 74 | ||
| 75 | if ! git read-tree -u -m "$commit" | |
| 76 | then | |
| 77 | die "Could not update working tree to new HEAD" | |
| 78 | fi | |
| 79 | 0 | |
| @@ -1,77 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | ||
| 3 | # An example hook script to validate a patch (and/or patch series) before | |
| 4 | # sending it via email. | |
| 5 | # | |
| 6 | # The hook should exit with non-zero status after issuing an appropriate | |
| 7 | # message if it wants to prevent the email(s) from being sent. | |
| 8 | # | |
| 9 | # To enable this hook, rename this file to "sendemail-validate". | |
| 10 | # | |
| 11 | # By default, it will only check that the patch(es) can be applied on top of | |
| 12 | # the default upstream branch without conflicts in a secondary worktree. After | |
| 13 | # validation (successful or not) of the last patch of a series, the worktree | |
| 14 | # will be deleted. | |
| 15 | # | |
| 16 | # The following config variables can be set to change the default remote and | |
| 17 | # remote ref that are used to apply the patches against: | |
| 18 | # | |
| 19 | # sendemail.validateRemote (default: origin) | |
| 20 | # sendemail.validateRemoteRef (default: HEAD) | |
| 21 | # | |
| 22 | # Replace the TODO placeholders with appropriate checks according to your | |
| 23 | # needs. | |
| 24 | ||
| 25 | validate_cover_letter () { | |
| 26 | file="$1" | |
| 27 | # TODO: Replace with appropriate checks (e.g. spell checking). | |
| 28 | true | |
| 29 | } | |
| 30 | ||
| 31 | validate_patch () { | |
| 32 | file="$1" | |
| 33 | # Ensure that the patch applies without conflicts. | |
| 34 | git am -3 "$file" || return | |
| 35 | # TODO: Replace with appropriate checks for this patch | |
| 36 | # (e.g. checkpatch.pl). | |
| 37 | true | |
| 38 | } | |
| 39 | ||
| 40 | validate_series () { | |
| 41 | # TODO: Replace with appropriate checks for the whole series | |
| 42 | # (e.g. quick build, coding style checks, etc.). | |
| 43 | true | |
| 44 | } | |
| 45 | ||
| 46 | # main ------------------------------------------------------------------------- | |
| 47 | ||
| 48 | if test "$GIT_SENDEMAIL_FILE_COUNTER" = 1 | |
| 49 | then | |
| 50 | remote=$(git config --default origin --get sendemail.validateRemote) && | |
| 51 | ref=$(git config --default HEAD --get sendemail.validateRemoteRef) && | |
| 52 | worktree=$(mktemp --tmpdir -d sendemail-validate.XXXXXXX) && | |
| 53 | git worktree add -fd --checkout "$worktree" "refs/remotes/$remote/$ref" && | |
| 54 | git config --replace-all sendemail.validateWorktree "$worktree" | |
| 55 | else | |
| 56 | worktree=$(git config --get sendemail.validateWorktree) | |
| 57 | fi || { | |
| 58 | echo "sendemail-validate: error: failed to prepare worktree" >&2 | |
| 59 | exit 1 | |
| 60 | } | |
| 61 | ||
| 62 | unset GIT_DIR GIT_WORK_TREE | |
| 63 | cd "$worktree" && | |
| 64 | ||
| 65 | if grep -q "^diff --git " "$1" | |
| 66 | then | |
| 67 | validate_patch "$1" | |
| 68 | else | |
| 69 | validate_cover_letter "$1" | |
| 70 | fi && | |
| 71 | ||
| 72 | if test "$GIT_SENDEMAIL_FILE_COUNTER" = "$GIT_SENDEMAIL_FILE_TOTAL" | |
| 73 | then | |
| 74 | git config --unset-all sendemail.validateWorktree && | |
| 75 | trap 'git worktree remove -ff "$worktree"' EXIT && | |
| 76 | validate_series | |
| 77 | fi | |
| 78 | 0 | |
| @@ -1,128 +0,0 @@ | ||
| 1 | #!/bin/sh | |
| 2 | # | |
| 3 | # An example hook script to block unannotated tags from entering. | |
| 4 | # Called by "git receive-pack" with arguments: refname sha1-old sha1-new | |
| 5 | # | |
| 6 | # To enable this hook, rename this file to "update". | |
| 7 | # | |
| 8 | # Config | |
| 9 | # ------ | |
| 10 | # hooks.allowunannotated | |
| 11 | # This boolean sets whether unannotated tags will be allowed into the | |
| 12 | # repository. By default they won't be. | |
| 13 | # hooks.allowdeletetag | |
| 14 | # This boolean sets whether deleting tags will be allowed in the | |
| 15 | # repository. By default they won't be. | |
| 16 | # hooks.allowmodifytag | |
| 17 | # This boolean sets whether a tag may be modified after creation. By default | |
| 18 | # it won't be. | |
| 19 | # hooks.allowdeletebranch | |
| 20 | # This boolean sets whether deleting branches will be allowed in the | |
| 21 | # repository. By default they won't be. | |
| 22 | # hooks.denycreatebranch | |
| 23 | # This boolean sets whether remotely creating branches will be denied | |
| 24 | # in the repository. By default this is allowed. | |
| 25 | # | |
| 26 | ||
| 27 | # --- Command line | |
| 28 | refname="$1" | |
| 29 | oldrev="$2" | |
| 30 | newrev="$3" | |
| 31 | ||
| 32 | # --- Safety check | |
| 33 | if [ -z "$GIT_DIR" ]; then | |
| 34 | echo "Don't run this script from the command line." >&2 | |
| 35 | echo " (if you want, you could supply GIT_DIR then run" >&2 | |
| 36 | echo " $0 <ref> <oldrev> <newrev>)" >&2 | |
| 37 | exit 1 | |
| 38 | fi | |
| 39 | ||
| 40 | if [ -z "$refname" -o -z "$oldrev" -o -z "$newrev" ]; then | |
| 41 | echo "usage: $0 <ref> <oldrev> <newrev>" >&2 | |
| 42 | exit 1 | |
| 43 | fi | |
| 44 | ||
| 45 | # --- Config | |
| 46 | allowunannotated=$(git config --type=bool hooks.allowunannotated) | |
| 47 | allowdeletebranch=$(git config --type=bool hooks.allowdeletebranch) | |
| 48 | denycreatebranch=$(git config --type=bool hooks.denycreatebranch) | |
| 49 | allowdeletetag=$(git config --type=bool hooks.allowdeletetag) | |
| 50 | allowmodifytag=$(git config --type=bool hooks.allowmodifytag) | |
| 51 | ||
| 52 | # check for no description | |
| 53 | projectdesc=$(sed -e '1q' "$GIT_DIR/description") | |
| 54 | case "$projectdesc" in | |
| 55 | "Unnamed repository"* | "") | |
| 56 | echo "*** Project description file hasn't been set" >&2 | |
| 57 | exit 1 | |
| 58 | ;; | |
| 59 | esac | |
| 60 | ||
| 61 | # --- Check types | |
| 62 | # if $newrev is 0000...0000, it's a commit to delete a ref. | |
| 63 | zero=$(git hash-object --stdin </dev/null | tr '[0-9a-f]' '0') | |
| 64 | if [ "$newrev" = "$zero" ]; then | |
| 65 | newrev_type=delete | |
| 66 | else | |
| 67 | newrev_type=$(git cat-file -t $newrev) | |
| 68 | fi | |
| 69 | ||
| 70 | case "$refname","$newrev_type" in | |
| 71 | refs/tags/*,commit) | |
| 72 | # un-annotated tag | |
| 73 | short_refname=${refname##refs/tags/} | |
| 74 | if [ "$allowunannotated" != "true" ]; then | |
| 75 | echo "*** The un-annotated tag, $short_refname, is not allowed in this repository" >&2 | |
| 76 | echo "*** Use 'git tag [ -a | -s ]' for tags you want to propagate." >&2 | |
| 77 | exit 1 | |
| 78 | fi | |
| 79 | ;; | |
| 80 | refs/tags/*,delete) | |
| 81 | # delete tag | |
| 82 | if [ "$allowdeletetag" != "true" ]; then | |
| 83 | echo "*** Deleting a tag is not allowed in this repository" >&2 | |
| 84 | exit 1 | |
| 85 | fi | |
| 86 | ;; | |
| 87 | refs/tags/*,tag) | |
| 88 | # annotated tag | |
| 89 | if [ "$allowmodifytag" != "true" ] && git rev-parse $refname > /dev/null 2>&1 | |
| 90 | then | |
| 91 | echo "*** Tag '$refname' already exists." >&2 | |
| 92 | echo "*** Modifying a tag is not allowed in this repository." >&2 | |
| 93 | exit 1 | |
| 94 | fi | |
| 95 | ;; | |
| 96 | refs/heads/*,commit) | |
| 97 | # branch | |
| 98 | if [ "$oldrev" = "$zero" -a "$denycreatebranch" = "true" ]; then | |
| 99 | echo "*** Creating a branch is not allowed in this repository" >&2 | |
| 100 | exit 1 | |
| 101 | fi | |
| 102 | ;; | |
| 103 | refs/heads/*,delete) | |
| 104 | # delete branch | |
| 105 | if [ "$allowdeletebranch" != "true" ]; then | |
| 106 | echo "*** Deleting a branch is not allowed in this repository" >&2 | |
| 107 | exit 1 | |
| 108 | fi | |
| 109 | ;; | |
| 110 | refs/remotes/*,commit) | |
| 111 | # tracking branch | |
| 112 | ;; | |
| 113 | refs/remotes/*,delete) | |
| 114 | # delete tracking branch | |
| 115 | if [ "$allowdeletebranch" != "true" ]; then | |
| 116 | echo "*** Deleting a tracking branch is not allowed in this repository" >&2 | |
| 117 | exit 1 | |
| 118 | fi | |
| 119 | ;; | |
| 120 | *) | |
| 121 | # Anything else (is there anything else?) | |
| 122 | echo "*** Update hook: unknown type of update to ref $refname of type $newrev_type" >&2 | |
| 123 | exit 1 | |
| 124 | ;; | |
| 125 | esac | |
| 126 | ||
| 127 | # --- Finished | |
| 128 | exit 0 | |
| 129 | 0 | |
| @@ -1,6 +0,0 @@ | ||
| 1 | # git ls-files --others --exclude-from=.git/info/exclude | |
| 2 | # Lines that start with '#' are comments. | |
| 3 | # For a project mostly in C, the following would be a good set of | |
| 4 | # exclude patterns (uncomment them if you want to use them): | |
| 5 | # *.[oa] | |
| 6 | # *~ | |
| 7 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0000000000000000000000000000000000000000 4d5ede85d59f9af78413daeba74c24e72a7fe21f Anton Kaminsky <antonwizkam@gmail.com> 1771797107 -0800 clone: from https://github.com/mermaid-js/mermaid.git | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0000000000000000000000000000000000000000 4d5ede85d59f9af78413daeba74c24e72a7fe21f Anton Kaminsky <antonwizkam@gmail.com> 1771797107 -0800 clone: from https://github.com/mermaid-js/mermaid.git | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0000000000000000000000000000000000000000 4d5ede85d59f9af78413daeba74c24e72a7fe21f Anton Kaminsky <antonwizkam@gmail.com> 1771797107 -0800 clone: from https://github.com/mermaid-js/mermaid.git | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 4d5ede85d59f9af78413daeba74c24e72a7fe21f 9c90e245b1084395be5cd3190eebbb56a05646e2 Anton Kaminsky <antonwizkam@gmail.com> 1771871132 -0800 fetch: fast-forward | |
| 2 | 0 | |
| @@ -1,2 +0,0 @@ | ||
| 1 | # pack-refs with: peeled fully-peeled sorted | |
| 2 | 4d5ede85d59f9af78413daeba74c24e72a7fe21f refs/remotes/origin/develop | |
| 3 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 4d5ede85d59f9af78413daeba74c24e72a7fe21f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | ref: refs/remotes/origin/develop | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9c90e245b1084395be5cd3190eebbb56a05646e2 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | ed961e61d90e093e1e38ebee5396d7d8224bc78c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 64bedc8262b6e116c344de10968e78a06323d304 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 83de219552e39f8ed19a2300f215e1159abcfb33 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | c0a4cfc2d768a7fe0a5d442635b7590054577eeb | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 15023461722117d1429bbc0eb6030ca35aa51d53 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | fe2f3b403d1310c2a6e09aac24d0fdd257c2ddcf | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | dd26960852b4cba1d60e6bb2e508c0af6dd3d4b4 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 6988dea3535919faa599537c31c5d94a01a30479 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 5712c6de7bdca29a2950df1e6e0342ca8f0323a4 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | cb58aeab2532be6d8bc1eab6503ca752fcf85965 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | d18103a0ec61801ac437a46cecaec81628037bb2 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9c31ac8aa68bff142e33b63b5ca3217aa8db7f5a | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 18be0e02aa80dcad171b26d2e397750100dc7d23 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9a35844731426e1f74f64d272ae6398f20424457 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0d4b43edd66fd689cc8f5ed40f731be0a3e3362d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2ddbdb24cde6a2a35fcdfd4bcb3c8ab3d3b8f656 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 93346ecd82c5e03b04dc0b4f9a8557ae66880809 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | c50178c640a4f6c99539bcc64cf029e94263fdb4 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 222a6e06827f194d9368d3a790dbe6cc53341788 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 911cd09dd875deb50f65a98baf21f65ab2cbf82b | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 5452be9feda681abb48d6364fbca662c6af0215d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 074a819ca8d3d98cdef3144d091a63f919d3a55d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2512666f493e8455f6534f216d42f00a7c9e526f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | cc1a4be15a5ed3726a121a5fce75a561ddca5e1d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 999430f9e0c18ca830f497817c8701cfbd2046f9 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0dc983d04ab9400e604a460eea3a409570961ab2 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a611ff3abd70103fc9ac44af63103e9f9d5991c9 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 16906ee242fcaf51d77f082fc3e7167241432ab0 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | ecb12ae2a8bc7f8c7077737713cf94acffac5c41 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | c9d29c16e20783700701a340540959ed5680236c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 425a83c0da996ba565c2b840993fbf61a725a84a | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | f005c72669c0e41bac6f42f81a6805a923dacbf0 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 6ee298dc7d5913ea065b92e736184edcc05b6c74 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | b8d3b01f64f30fa1dd46f7de160e8f80147010f3 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | fb70b9742a22f8673cdd3a8d74fcbbc6ea03b432 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 5f5c8a2df00d93d2a9ed48fa868d1a4ded761457 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 1076d671374898a1e75b778911832da01f57b88f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | f6b5c704e8939db0047e7a70ab3b6109af261fb0 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 95967151ae61be7db104564dbf29db81a4415f11 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 417428aceada045eabcc92826c68e08a1329c98f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | eef4ef54a177c96b0efcf1c8c98f8d4d9f454e00 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 1d782678715699e8485480bff309adc2b648c7c1 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 33e8ee6c0e8bfd03f5d3fee51237a156c2e5a537 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9245b0bb8b82c200c7c7a277cd619db6e5dd7715 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | af7f5d0aaf3ede2f2efca6f24ec527c4e7065e2f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a670b678445f2894844ecbe7352f994396caa518 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 296a64f465021a8424cd72d495a24f4cc3c59c1e | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 48b6a32fe19af7e600fb0df900aa5956159e52d7 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 75b79e1b23f288e4706f21f62925c17c676cf4c0 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 029042393c795b4b3ef9c91ae66564610e4b0c89 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2de2cb64f8d0fa6917e0fae071c0a03bba10df83 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 3877b88e6e1dba5d3e52ea23fad66d0545ec5ab0 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2758d6477803dd9e5e8975b0d93b33c69be7b377 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0d7d5ddc5fbd8482dd7e907d3eef41cd1240f68f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 650bcef3d1f940aec0cf4b81d1433b74b5e0f55c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2ce18ec2a8c6f6c2ece20f749628443ac663119f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a44714c715e49ff2dc86a401962dc5929b6eca06 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 52af0476c14be9f98d669e336a5625f5fb609aee | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 65592e0541790968703f16bc0b91a641b5443111 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 77f2a57155cfd9375eb0f633d365b6bd75c31158 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 8a583ee429b26a02580e01ecf7b7219986f36873 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 92ac7d7c2477071a7279927b023872d866571e28 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 5dd392127f1121dea2a05fb0a535101c085496b2 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | cf686c445c069bd3137560f2ab3a30bfb7bc9dc5 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 5b85fe9293493bc68d105cf78192ac475c9c6d0e | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a3142aad69167bc6b690e5a77550a869c86d79cd | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 34d3b852271ea3b7ebf58553334ad3d5645c15f1 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2cb54293f80af8c07bee8b91cfb04388e786fb83 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0200fef389e3b0988557028d6edd03262ceeefba | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0157f665a305b0616e7932360a2f9fb2fa154668 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a3017b8456cfafb446aedb9ad549328a69e24984 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 1ecf0f4c234a773c735dc56804233a66377db3b3 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | cb07a729e5e11d58ee1bce43dc041b76a610bde2 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0544dbe89196f2709ad714432ed4f6c9883fa023 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 3e1c17cfa3f2526e7a394dc538a7d89e568aa36f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 1c07e550bb5fee590f69a1f7892e481a2cf53cff | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 61fdb3d92941c014726df271a87e9687b543d22c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | e9e5c75decbd5f5bdcf6c9d63c8f8f553263f6e2 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | b4203992bf98c209a578b1139c44d107b708ca6c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | f68536357415d16b239e04a98e6195227399557e | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | d12b197ec951fa74574b4ef9fb95a55881cdd7a9 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 95b7e4f9adc560dfd2ec6cc2b1f43397b2641012 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 4c38b1a776d83a00e12dd820b1bee455c3954e3c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0918b97e815ad77e8b8e88ebb52400937f197885 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 4dc805d25add19ae07ac9fe8951b4036332e0530 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0f9da18cbe9bea6021ab78553902e5a1a517d61a | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | e3cf8b78437bb542029e91a022c81fbd4d361e6a | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | cf1b919d019ac5726b7dbc32a20b603feee7b16f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | be95b93a2d91d62bc8618b906356514232b4343d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a5cc75c1f7b722ebd0c2f848b25e2350655841dd | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 8b3ac57ce7e6ae6ea4a66a9d8a28d8fcde936bb9 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 86fb0f89f2bc66f715735447b786e6fe0146f01d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 8cf964dacc109a2cd94511d70766fc74f75c312f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | d5d0ccdf32c61c494038cb94d9c43cf0f697a38b | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | b8c4d7353fb36ee884f1824927b29f78b987b173 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | b6605a145bbf71693e792084e472de46b26cb100 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 3aac04aeb669a1dbd64ac4b56acc1112dece4c70 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 4dcf7feec02ed40e86ff23f78430e1074b6d5ab6 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | af8a5cbbfac33c54d4b1615611fdcc7575180ef1 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a89b6fd0549a91fb09e72c4e40decf5a0b866828 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 6cebf89237fc7f18801517353feb4b6d35a6ef28 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 609d71b235bdda6810764df7dabf9327ca8540e0 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9bb51fd00a90d9ab9f86f59ae00576187b6f53ff | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | ec261fd9d604566f709a8f9754107f16b071cb14 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 74cae0243753c7127d2c1fb8e664f8ed719a5fbd | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 6a147bce8de975a3970f3155642a37f46b349079 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 6cf74dcffb38dc9405a89ea55d87cc4ab1683f9b | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 88184b5dc6a7faf6f4ace5349d5648a01dec3cc7 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a14fa98d44eade6595dbed05e51bba2b8d0e0da2 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | f12aaa44ad068f6af67deadcba541fcbeda6b8ca | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 67e5f7a14c3ae0beb5c71af6ff756937366596d9 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 40450fc6fc8c997f1851db43242b1bd25e07435c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | f8c7c76f98105ccf31602258db6218042d8a164e | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 1fac2c474a7ae6de33bd83f5e36bc3a3b33bb10a | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | f8435c3f50f2e9856de763c80e6ac768e5ae67be | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | be6f64203b4a45ab8912e665b817d3c891ca4f7c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | add0fa4dbae4c211073dbaf0bb96496a552619ab | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9713533e43ec1300c73128e361b23b7c3c52999d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 7cacc176b114cf7897f9a044512da82838308f61 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 7ad4d86bd2d9650927709392ce08089137bbbfd0 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | c33b1b27005cc98f5b36e18fe377fa366ebe99a6 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 6f3f972b554d59e201f3bc403fe9838896700423 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 52bbb8cb2f1e02a6ddda849cef68effd6d588d64 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 6261cd03fbabf94a02de3a2bddeaa998a0a04003 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 4537e2b1f1d044c90608d3e551ded2e2a6cd2cf8 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 73d9a65a230d17430d430b75495a4c70add47396 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | e611366211ddb70595f4a388ebd8a8ed49c9d7cc | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 09487dbcd06f71fb2f661000aef7f5da8491056c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a062fdf53ec4cf7069ba30d4d93702d544ab785d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 51fa350ef6970f91a69052a4ab384ac6c87af1b9 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2f8c48f39c731a9b077abd80904866d763b1d956 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2be2e9b84ac82cc7f0be8398d867662297c9d496 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | c24f8278e704462bd43c429b670b2cceb8b1bfd3 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9528cd5097c752b127d014e6c5951fc2683729a1 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9f9722a9201d37d9eb7c1ae703b52d586f6a9437 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | fa781185124a4e5d8707cd115fb5d7b644546a8f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2fecf17bc47174f22b34650fa3e734fd8ea20b89 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 29e9569e07ef0dcb8871e0d68f7843faa0e17aea | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 403c979f9d9bf0c7bbba1a1441a5b9763d0f575d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 563fca5b87350cdf12cdfdb56e132f684ff06b56 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 94d265077c4125defa3a7e77d7650fdb7b4d0c14 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 13af6c4df6a0e2e2257c54f8d5972a77594ccc4c | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0d8c438558444db6bf8842b41ffb0e411a264bd9 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | df41c3abbc804db55c17e001f7dc9704f2345c4b | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | e41bbf66561444e099a7f44be2e70969b0c30f7f | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | cd4c73052aecded403f9c1ee8b76331eaa3a3640 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 5e19c46b68f50e3c14ce35a778653d270ddf0c1b | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | c76a7afaec7efd945d1232dfd4c8090c5a4a388e | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9ce3f89774d56387789ad777361d4d6ff9dd095d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 767754f4fbfe22e74e0612c5d684e9b58c3c5caf | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 7da80812e0510ae04f9ebf3a151a048ef9ce6834 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 5bdffd7d20c5622540c691ba63f635b8eedabf40 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 45918da48ec99a706aa2b39598ae32cdccf95004 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0ac48a431a319b2ff7aaaef889ddd53f153acc6d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 98229a47b298f4124d88347edbd56357866df7ee | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 52b1b23d4753a3d068e19052e5f4d25e88057517 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | e0d16dcb22333f967e172e1f5b78af4baf6c0eff | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | e6e94ad57ea06ef8627bf91ddfbd88f5082952bf | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 555d4f2cdc83ebeaf0b41f57a05722ffb6d921af | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 4a9d96aaba6c5a1ebb295d085b421d9102d83e96 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 20298d243ad1bf0447800a3ec24851d6bac8b6fa | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | e7c237dcf3062cd6163e129aedc620ef08d6f89a | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 8d43b87200ba0b59f6800942e03154dccc6b57b7 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 48e5d743b3bb0264390644b0d054850d821097e5 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | d2409dc1638f1e8c3d006a3350b598d69d2f7a50 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 75f9de3d4ae79b8939607872fa9467d5413855ff | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 453b337e6e0e6f02357293764c27c29c236fe848 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 165e0b6c6862e183c9bdb75fbc5839555bbc99d0 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | a0b80f5490f812ccbc74d6246f2ecc39b03db147 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 8e5275d8441def82597db534f5a15b27cc6376a7 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | bb0d549d0dc489767b240a910a6831b4a7771fd2 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | b70959daa7666d25416ab3c4b89ffbc328927d20 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 29942c04dc92a64f8c618d6d55f9b57800341cf5 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 65daab2aaf8fc3e54f34b2d468d19486034e06c7 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | dc857f804e955484b2f92cefc0aaa7b4afb159c4 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 51e7444b94ab0b872eaabc3b138184b47442fab4 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | da33867ad798872d9f8406532263ff5e569f1185 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | dab26df9c4ca69cc4a8c46a22286a2f63ea9ed3e | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 2cfdd1620a8ceef37c0b738569dfb8bcc0005547 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | ffd526dbc3d07ed98ae7510083eb92572d6d83f3 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 0c0468123fa1ca08baf69716eeca0b8872075b5e | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | e78ac9b92a75223df728b4a1866a8d7d460a4691 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | ba7f83019f06d092a4549b98ebc97679fda196a8 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 9bb0ed2040cce9be83c63e097e26e4b361a8bdd6 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 5735efacbe58634dcff91317170be2e010b7283e | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 97614b8af56a122022a71267996c0646b4a1e312 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | c965e4c4564441975b71f0996e3a7ec2167ae21d | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 1a7b8d38970f367e273b61599e6c4f75a8635158 | |
| 2 | 0 | |
| @@ -1,1 +0,0 @@ | ||
| 1 | 4d5ede85d59f9af78413daeba74c24e72a7fe21f | |
| 2 | 0 | |